Messaging
For instructions on how to authenticate to use this endpoint, see API overview.
Endpoints
POST | |
POST | |
POST | |
GET |
Create messaging suppressions add suppression
Manually suppress an email address so no workflow sends to it.
Required API key scopes
hog_flow:writeRequest parameters
- identifierstring
Response
Example request
POST /api /projects /:project_id /messaging_suppressions /add_suppressionExample response
Status 201
RESPONSE
Create messaging suppressions bulk remove suppressions
Remove up to 100 addresses from the suppression list so they can receive messages again.
Required API key scopes
hog_flow:writeperson:readRequest parameters
- identifiersarray
- confirm_complaintsbooleanDefault:
false
Response
Example request
POST /api /projects /:project_id /messaging_suppressions /bulk_remove_suppressionsExample response
Status 200
RESPONSE
Create messaging suppressions remove suppression
Remove an address from the suppression list so it can receive messages again.
Required API key scopes
hog_flow:writeperson:readRequest parameters
- identifierstring
- confirm_complaintsbooleanDefault:
false
Example request
POST /api /projects /:project_id /messaging_suppressions /remove_suppressionExample response
Status 204 No response body
Retrieve messaging suppressions suppressions
List suppressed recipients for the team, most recently updated first.
Required API key scopes
hog_flow:readperson:readQuery parameters
- pageinteger
- page_sizeinteger
- searchstring
Response
Example request
GET /api /projects /:project_id /messaging_suppressions /suppressionsExample response
Status 200
RESPONSE





